//		Copyright © 1997	Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//		A class representing a random vertically tileable knot.

#ifndef VERTICALKNOT_H
#define VERTICALKNOT_H

#include <View.h>

#include "RandomKnot.h"

class VerticalKnot : public RandomKnot {
public:
	typedef RandomKnot inherited;
	
	VerticalKnot(BView *pView);
	virtual ~VerticalKnot(void);

	virtual bool Draw(void);

private:
	VerticalKnot(const VerticalKnot &orig);
	VerticalKnot &operator =(VerticalKnot &orig);
};

#endif
